-- insert new Code to Specs --

g_specializationManager:addSpecialization("advancedRandomlyMovingParts", "advancedRandomlyMovingParts", g_currentModDirectory.."advancedRandomlyMovingParts.lua")

addSpezialisatzion = {}

function addSpezialisatzion:register(name)
    
    for k, vehicle in pairs(g_vehicleTypeManager:getVehicleTypes()) do
        
        local randomlyMovingParts = false
        local advancedRandomlyMovingParts = false
        
        for _, spec in pairs(vehicle.specializationNames) do
        
            if spec == "randomlyMovingParts" then -- check for randomlyMovingParts, only insert into randomlyMovingParts
                randomlyMovingParts = true
            end  
			
            if spec == "advancedRandomlyMovingParts" then -- check for randomlyMovingParts, only insert into randomlyMovingParts
                advancedRandomlyMovingParts = true
            end  
			
        end    
        if randomlyMovingParts == true and advancedRandomlyMovingParts == false then
			print("  adding advancedRandomlyMovingParts to vehicleType '"..tostring(k).."'")		
            g_vehicleTypeManager:addSpecialization(vehicle.name, "FS19_Advanced_RandomlyMovingParts.advancedRandomlyMovingParts")
        end
    end
    
end

VehicleTypeManager.finalizeVehicleTypes = Utils.prependedFunction(VehicleTypeManager.finalizeVehicleTypes, addSpezialisatzion.register)

addModEventListener(addSpezialisatzion);

